# Uses of Class
org.eclipse.jdt.core.dom.AbstractTypeDeclaration

Packages that use AbstractTypeDeclaration
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of AbstractTypeDeclaration in org.eclipse.jdt.core.dom

Subclasses of AbstractTypeDeclaration in org.eclipse.jdt.core.dom
Modifier and Type
Class
Description
`class`
`AnnotationTypeDeclaration`
Annotation type declaration AST node type (added in JLS3 API).
`class`
`EnumDeclaration`
Enum declaration AST node type (added in JLS3 API).
`class`
`RecordDeclaration`
Record declaration AST node type (added in JLS16 API).
`class`
`TypeDeclaration`
Type declaration AST node type.
Methods in org.eclipse.jdt.core.dom that return AbstractTypeDeclaration
Modifier and Type
Method
Description
`AbstractTypeDeclaration`
TypeDeclarationStatement.`getDeclaration()`
Returns the abstract type declaration of this local type declaration statement (added in JLS3 API).
Methods in org.eclipse.jdt.core.dom with parameters of type AbstractTypeDeclaration
Modifier and Type
Method
Description
`TypeDeclarationStatement`
AST.`newTypeDeclarationStatement(AbstractTypeDeclaration decl)`
Creates a new unparented local type declaration statement node owned by this AST, for the given type declaration.
`void`
TypeDeclarationStatement.`setDeclaration(AbstractTypeDeclaration decl)`
Sets the abstract type declaration of this local type declaration statement (added in JLS3 API).